import useToggle from "../useToggle";
import { computed } from "vue";
function useBoolean(defaultValue = false) {
  const [state, { set, toggle }] = useToggle(defaultValue);
  const actions = computed(() => {
    const setTrue = () => set(true);
    const setFalse = () => set(false);
    return {
      set: (v) => set(!!v),
      setTrue,
      setFalse,
      toggle
    };
  });
  return [state, { ...actions.value }];
}
export {
  useBoolean as default
};
