import { ref } from "vue";
function useLockFn(fn) {
  const lockRef = ref(false);
  return async (...args) => {
    if (lockRef.value)
      return;
    lockRef.value = true;
    try {
      const ret = await fn(...args);
      lockRef.value = false;
      return ret;
    } catch (e) {
      lockRef.value = false;
      throw e;
    }
  };
}
export {
  useLockFn as default
};
