import { reactive, onMounted, toRefs } from "vue";
import useWinResize from "../useWinResize";
import { getTargetElement } from "../utils/domTarget";
function useSize(target) {
  const size = reactive({
    width: 0,
    height: 0
  });
  const getSizeInfo = () => {
    var _a, _b;
    const targetDom = getTargetElement(target);
    size.width = (_a = targetDom == null ? void 0 : targetDom.clientWidth) != null ? _a : 0;
    size.height = (_b = targetDom == null ? void 0 : targetDom.clientHeight) != null ? _b : 0;
  };
  useWinResize(getSizeInfo);
  onMounted(() => {
    setTimeout(() => {
      getSizeInfo();
    }, 120);
  });
  return { ...toRefs(size) };
}
export {
  useSize as default
};
