import { ref, watch } from "vue";
import useThrottleFn from "../useThrottleFn";
function useThrottle(value, options) {
  const throttled = ref();
  const { run } = useThrottleFn(() => {
    throttled.value = value.value;
  }, options);
  watch(value, () => {
    run.value();
  });
  return throttled;
}
export {
  useThrottle as default
};
