import { ref, watch, onMounted, onUnmounted } from "vue";
import isBrowser from "../utils/isBrowser";
const DEFAULT_OPTIONS = {
  restoreOnUnmount: false
};
function useTitle(title, options = DEFAULT_OPTIONS) {
  const titleRef = ref(isBrowser ? document.title : "");
  watch(title, () => {
    document.title = title.value;
  });
  onMounted(() => {
    document.title = title.value;
  });
  onUnmounted(() => {
    if (options.restoreOnUnmount) {
      document.title = titleRef.value;
    }
  });
}
export {
  useTitle as default
};
