"use strict";
const useToggle = require("../useToggle");
const vue = require("vue");
const _interopDefaultLegacy = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
const useToggle__default = /* @__PURE__ */ _interopDefaultLegacy(useToggle);
function useBoolean(defaultValue = false) {
  const [state, { set, toggle }] = useToggle__default.default(defaultValue);
  const actions = vue.computed(() => {
    const setTrue = () => set(true);
    const setFalse = () => set(false);
    return {
      set: (v) => set(!!v),
      setTrue,
      setFalse,
      toggle
    };
  });
  return [state, { ...actions.value }];
}
module.exports = useBoolean;
