"use strict";
const vue = require("vue");
const useDebounceFn = require("../useDebounceFn");
const _interopDefaultLegacy = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
const useDebounceFn__default = /* @__PURE__ */ _interopDefaultLegacy(useDebounceFn);
function useDebounce(value, options) {
  const debounced = vue.ref(value.value);
  const { run } = useDebounceFn__default.default(() => debounced.value = value.value, options);
  vue.watch(value, () => run(), { deep: true });
  return debounced;
}
module.exports = useDebounce;
