import type { Data, InfiniteScrollOptions, Service } from "./types";
declare const useInfiniteScroll: <TData extends Data>(service: Service<TData>, options?: InfiniteScrollOptions<TData>) => {
    data: import("vue").Ref<TData | undefined>;
    loading: import("vue").ComputedRef<boolean>;
    loadingMore: import("vue").Ref<boolean>;
    noMore: import("vue").ComputedRef<boolean>;
    loadMore: () => void;
    loadMoreAsync: () => Promise<TData> | undefined;
    reload: () => void;
    reloadAsync: () => Promise<TData>;
    mutate: (mutateData: any) => void;
    scrollMethod: () => void;
    cancel: () => void;
};
export default useInfiniteScroll;
