"use strict";
const vue = require("vue");
function useLockFn(fn) {
  const lockRef = vue.ref(false);
  return async (...args) => {
    if (lockRef.value)
      return;
    lockRef.value = true;
    try {
      const ret = await fn(...args);
      lockRef.value = false;
      return ret;
    } catch (e) {
      lockRef.value = false;
      throw e;
    }
  };
}
module.exports = useLockFn;
