import { Ref } from 'vue';
declare type MapValue<K, T> = Iterable<readonly [K, T]>;
declare type Actions<K, T> = {
    set: (key: K, value: T) => void;
    get: (key: K) => T | undefined;
    remove: (key: K) => void;
    has: (key: K) => boolean;
    clear: () => void;
    setAll: (newMap: MapValue<K, T>) => void;
    reset: () => void;
};
declare function useMap<K, T>(initialValue?: MapValue<K, T>): [Ref<Map<K, T>>, Actions<K, T>];
export default useMap;
