"use strict";
const vue = require("vue");
const useThrottleFn = require("../useThrottleFn");
const _interopDefaultLegacy = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
const useThrottleFn__default = /* @__PURE__ */ _interopDefaultLegacy(useThrottleFn);
function useThrottle(value, options) {
  const throttled = vue.ref();
  const { run } = useThrottleFn__default.default(() => {
    throttled.value = value.value;
  }, options);
  vue.watch(value, () => {
    run.value();
  });
  return throttled;
}
module.exports = useThrottle;
