"use strict";
const vue = require("vue");
const isBrowser = require("../utils/isBrowser");
const _interopDefaultLegacy = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
const isBrowser__default = /* @__PURE__ */ _interopDefaultLegacy(isBrowser);
const DEFAULT_OPTIONS = {
  restoreOnUnmount: false
};
function useTitle(title, options = DEFAULT_OPTIONS) {
  const titleRef = vue.ref(isBrowser__default.default ? document.title : "");
  vue.watch(title, () => {
    document.title = title.value;
  });
  vue.onMounted(() => {
    document.title = title.value;
  });
  vue.onUnmounted(() => {
    if (options.restoreOnUnmount) {
      document.title = titleRef.value;
    }
  });
}
module.exports = useTitle;
